//+------------------------------------------------------------------+
//|                                                      EERI_v01.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#include <WebGet.mqh>
#property indicator_chart_window


string _download_eeri()
{
   string StartMonth;
   string StartDay;
   
   datetime StartWeek = iTime(NULL,PERIOD_W1,0);  
   string StartYear  = TimeYear (StartWeek);
   
   if (TimeMonth(StartWeek)>10) 
     StartMonth = TimeMonth(StartWeek);
   else 
     StartMonth = "0" + TimeMonth(StartWeek);
     
   if (TimeDay(StartWeek)>10) 
     StartDay   = TimeDay(StartWeek);
   else 
     StartDay = "0" + TimeDay(StartWeek);
   
   string StartTime = StartYear + StartMonth + StartDay;  
   string WebAdress = "http://quote.yahoo.com/d/quotes.csv?s=USDCAD=X+JPYUSD=X+GBPUSD=X+USDJPY=X+EURUSD=X&f=nl1d1t1";
   string result = forextsd_com_webget(WebAdress);
   if(result != "") 
   {
   string CalName = "EERI_"+StartYear+"-"+StartMonth+"-"+StartDay+".csv";
   Print(CalName," is OK");
   int handle=FileOpen(CalName,FILE_CSV |FILE_WRITE,',');
         
      if(handle>0)
      {
      FileWrite(handle, result);
      FileClose(handle);
      }
   }
   else CalName = "";   
  //Print("-->",result," is OK");
  return(CalName);      
}
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
  _download_eeri();
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
/*

I didn't know you could also download foreign exchange rates ... if you know the symbols for the country currency.
The format goes like this:

    http://quote.yahoo.com/d/quotes.csv?s=AB=X+CD=X&f=tags 

where A, C etc. are the "from" symbols and B, D etc. are the "to" symbols and tags are a collection of yahoo tags.

>Huh?

    * Start with:   http://quote.yahoo.com/d/quotes.csv?s=
    * Add a sequence of:   fromto=X (separated by +)
    * End with:   &f=tags 

For example, try this:

http://quote.yahoo.com/d/quotes.csv?s=USDCAD=X+JPYUSD=X+GBPUSD=X+USDJPY=X+EURUSD=X&f=nl1d1t1

Note the tags I've used:
n is a name for the conversion (like:   USD to CAD) and
l1 is the conversion (like:   1.234) and
d1 is the Date (like:   3/27/2004) and
t1 is the Time (like:   3:41am).

>Yeah, but what Yahoo tags give something useful?
I have no idea. Just try all the tags in this tutorial and see which ones work.

For a spreadsheet which assists in this "try-the-Yahoo-codes", RIGHT-click click here and Save Target.

I doubt whether Market Cap tag is meaningful  

>And do you know the country currency symbols?
Here's a few ...

Afganistan Afghani (AFA)
Albanian Lek (ALL)
Algerian Dinar (DZD)
Argentinian Peso (ARS)
Aruban Florin (AWG)
Australian Dollar (AUD)
Austrian Schilling (ATS)
Bahraini Dinar (BHD)
Bangladesh Taka (BDT)
Barbados Dollar (BBD)
Belgian Franc (BEF)
Belize Dollar (BZD)
Bermuda Dollar (BMD)
Bhutan Ngultrum (BTN)
Bolivian Boliviano (BOB)
Botswana Pula (BWP)
Brazilian Real (BRL)
British Pound (GBP)
Brunei Dollar (BND)
Bulgarian Lev (BGN)
Cambodian Riel (KHR)
Canadian Dollar (CAD)
Cape Verde Escudo (CVE)
Cayman Islands Dollar (KYD)
CFA Franc (BCEAO) (XOF)
CFA Franc (BEAC) (XAF)
CFP Franc (XPF)
Chilean Peso (CLP)
	
Colombian Peso (COP)
Comoros Franc (KMF)
Costa Rican Colon (CRC)
Croatian Kuna (HRK)
Cuban Peso (CUP)
Cypriot Pound (CYP)
Czech Koruna (CZK)
Danish Krone (DKK)
Djibouti Franc (DJF)
Dominican Peso (DOP)
Dutch Guilder (NLG)
East Caribbean Dollar (XCD)
Egyptian Pound (EGP)
El Salvador Colon (SVC)
Estonian Kroon (EEK)
Ethiopian Birr (ETB)
Euro (EUR)
Fiji Dollar (FJD)
Finnish Markka (FIM)
French Franc (FRF)
Gambia Dalasi (GMD)
German Mark (DEM)
Ghanaian Cedi (GHC)
Gibraltar Pound (GIP)
Greek Drachma (GRD)
Guatemala Quetzal (GTQ)
Guinea Franc (GNF)
Guyana Dollar (GYD)
	
Haitian Gourde (HTG)
Honduras Lempira (HNL)
Hong Kong Dollar (HKD)
Hungarian Forint (HUF)
Iceland Krona (ISK)
Indian Rupee (INR)
Indonesian Rupiah (IDR)
Irish Punt (IEP)
Israeli Shekel (ILS)
Italian Lira (ITL)
Jamaican Dollar (JMD)
Japanese Yen (JPY)
Jordanian Dinar (JOD)
Kenyan Shilling (KES)
Kuwaiti Dinar (KWD)
Laos Kip (LAK)
Latvian Lats (LVL)
Lebanese Pound (LBP)
Lesotho Loti (LSL)
Lithuanian Litas (LTL)
Malagasy Franc (MGF)
Malawi Kwacha (MWK)
Malaysian Ringgit (MYR)
Maldives Rufiyan (MVR)
Maltese Pound (MTL)
Mauritania Ouguiya (MRO)
Mauritius Rupee (MUR)
Mexican Peso (MXN)
	
Mongolian Tugrik (MNT)
Moroccan Dirham (MAD)
Mozambique Metical (MZM)
Myanmar Kyat (MMK)
Namibian Dollar (NAD)
Nepal Rupee (NPR)
Netherlands Antilles Guilder (ANG)
New Zealand Dollar (NZD)
Nicaraguan Cordoba (NIO)
Nigerian Naira (NGN)
Norwegian Krone (NOK)
Oman Rial (OMR)
Pakistani Rupee (PKR)
Papua New Guinea Kina (PGK)
Peruvian Sol (PEN)
Philippines Peso (PHP)
Polish Zloty (PLN)
Portuguese Escudo (PTE)
Qatari Rial (QAR)
Renmimbi Yuan (CNY)
Romanian Leu (ROL)
Russian Ruble (RUB)
Salomon Islands Dollar (SBD)
Sao Tome & Principe Dobra (STD)
Saudi Arabian Riyal (SAR)
Seychelles Rupee (SCR)
Sierra Leone Leone (SLL)
Singapore Dollar (SGD)
	
Slovak Koruna (SKK)
Slovenian Tolar (SIT)
South African Rand (ZAR)
South Korean Won (KRW)
Spanish Peseta (ESP)
Sri Lanka Rupee (LKR)
St. Helena Pound (SHP)
Sudanese Dinar (SDD)
Surinam Guilder (SRG)
Swaziland Lilangeni (SZL)
Swedish Krona (SEK)
Swiss Franc (CHF)
Syria Pound (SYP)
Taiwan New Dollar (TWD)
Tanzanian Shilling (TZS)
Thai Baht (THB)<
Tonga Isl Pa'anga (TOP)
Trinidad Dollar (TTD)
Tunisian Dinar (TND)<
Turkish Lira (TRL)
Ugandan Shilling (UGX)
Ukraine Hryvnia (UAH)
United Arab Emirates Dirham (AED)
US Dollar (USD)
Vanuatu Vatu (VUV)
Venezuelan Bolivar (VEB)
Vietnam Dong (VND)
Western Samoa Tala (WST)
Zambia Kwacha (ZMK)
Zimbabwean Dollar (ZWD)

*/